Update a service request for Rent Manager
https://api.propexo.com/v1/service-requests/rentmanager/:service_request_id| Method |
|---|
| POST /ServiceManagerIssues |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the service request
Request
This endpoint expects an object.
A description of the service request
Details about the service request
Whether or not the tenant has granted permission to enter the unit associated with the service request
The date the service request was completed
The due date associated with the service request
The date the service request is scheduled
The Propexo unique identifier for the service request category
The Propexo unique identifier for the service request priority
The Propexo unique identifier for the service request status
The Propexo unique identifier for the vendor. Must be associated with the property_id passed in
The Propexo unique identifier for the employee
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the service request
A description of the service request
Details about the service request
Whether or not the tenant has granted permission to enter the unit associated with the service request
The date the service request was completed
The due date associated with the service request
The date the service request is scheduled
The Propexo unique identifier for the service request category
The Propexo unique identifier for the service request priority
The Propexo unique identifier for the service request status
The Propexo unique identifier for the vendor. Must be associated with the property_id passed in
The Propexo unique identifier for the employee
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/service-requests/rentmanager/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"service_description": "string",
"service_details": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"service_description": "string",
"service_details": "string",
"access_is_authorized": true,
"date_completed": "2024-07-29T15:51:28.071Z",
"date_due": "2024-07-29T15:51:28.071Z",
"date_scheduled": "2024-07-29T15:51:28.071Z",
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_status_id": "string",
"vendor_id": "string",
"employee_id": "string"
}
}